Page MenuHomePhabricator

Deploy EditorJourney to Basque Wikipedia
Closed, ResolvedPublic

Description

We are ready to deploy EditorJourney to Basque Wikipedia. Here is the checklist:

  • Identify sensitive namespaces. The namespaces are 0, 1, 2, 6, 7, 104.
  • Deploy to Basque Wikipedia (for all newcomers, for their first 24 hours)
  • Validate that incoming data is correct, that the right namespaces are being obfuscated, and that logging stops after 24 hours (@nettrom_WMF)

Event Timeline

This is ready for development. Please check the appropriate item in the description when complete.

@Theklan @Trizek-WMF @MMiller_WMF the sensitive namespaces are identified as 0, 1, 2, 6, 7, 104.

I wanted to double check this:

  • 2 (User) is sensitive but 3 (User talk) is not?
  • 104 (Txikipedia) is sensitive but 105 (Txikipedia talk) is not?

In all of our other wiki configurations for EditorJourney, we have marked the talk namespace as sensitive as well, so this would be an outlier.

This configuration is also different in that it's the only wiki where we say that User namespace is sensitive, we don't do that for any of the other wikis.

To be consistent with the other configurations, the sensitive namespace list would look like: 0, 1, 6, 7, 104, 105.

Theklan added a comment.EditedSep 10 2019, 8:25 AM

I think that 2 is not sensitive at all, I filled it when I thought you were asking just the opposite.

105 is unaccessible, as you can't reach it from any working link.

So, yes, you can go on with 0, 1, 6, 7, 104, 105

Change 537092 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] Enable EditorJourney for euwiki

https://gerrit.wikimedia.org/r/537092

Change 537092 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable EditorJourney for euwiki

https://gerrit.wikimedia.org/r/537092

Mentioned in SAL (#wikimedia-operations) [2019-09-17T11:17:16Z] <awight@deploy1001> Synchronized wmf-config/VariantSettings.php: SWAT: [[gerrit:537092|Enable EditorJourney for euwiki (T232061)]] (duration: 00m 56s)

kostajh moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.

@nettrom_WMF over to you for QA

kostajh updated the task description. (Show Details)Sep 23 2019, 10:34 AM
nettrom_WMF triaged this task as Medium priority.Sep 25 2019, 4:24 PM
nettrom_WMF updated the task description. (Show Details)
nettrom_WMF closed this task as Resolved.Sep 27 2019, 8:26 PM
nettrom_WMF moved this task from Triage to Doing on the Product-Analytics board.

Verified that the obfuscated namespaces are indeed obfuscated, and that the others are not. We don't have any data longer than 24 hours. Also spot-checked the dataset and didn't see anything of concern. Closing as resolved.